Get a summary of automated mailout statistics for specified IDs or tags.
Required permissions: Automated Mailout Management
post
Query parameters
apiTokenstringRequired
API authentication token
Body
iDsstring · uuid[]OptionalExample:
00000000-0000-0000-0000-000000000000tagsstring[]Optional
endDatestring · date-timeOptional
startDatestring · date-timeOptional
Responses
200
OK
application/json
okbooleanRead-onlyOptional
messagestringRead-onlyOptional
wasSystemExceptionbooleanRead-onlyOptional
errorReferencestringRead-onlyOptional
400
Invalid Parameter Value
application/json
401
Incorrect Permissions or Invalid API Token
application/json
500
Engage Server Error. Unable to process response at this time.
application/json
post/mail/automatedmailouts/summary
POST /mail/automatedmailouts/summary?apiToken=text HTTP/1.1
Host: api.ubiquity.co.nz
Content-Type: application/json
Accept: */*
Content-Length: 140
{
"iDs": [
"00000000-0000-0000-0000-000000000000"
],
"tags": [
"text"
],
"endDate": "2026-01-01T00:00:00.000Z",
"startDate": "2026-01-01T00:00:00.000Z"
}{
"summary": [
{
"id": "00000000-0000-0000-0000-000000000000",
"name": "text",
"instances": [
{
"sendTime": "2026-01-01T00:00:00.000Z",
"messageCount": 1
}
]
}
],
"ok": true,
"message": "text",
"wasSystemException": true,
"errorReference": "text"
}PreviousGet a list of events for an automated mailout.
NextGet a list of mailouts with optional filtering.
Last updated
Was this helpful?

